自己编译emacs 22 字体错误?

Vim、Emacs配置和使用
回复
lgfang
帖子: 16
注册时间: 2006-08-19 11:44
送出感谢: 0
接收感谢: 0
联系:

自己编译emacs 22 字体错误?

#1

帖子 lgfang » 2006-08-31 23:01

自己下的源码emacs version: GNU Emacs 22.0.50.1

编译前装了如下的包
sudo apt-gt install build-essential
sudo apt-get install libncurses5
sudo apt-get install libncurses5-dev
sudo apt-get install xserver-xorg-dev
sudo apt-get install xorg-dev

编译后发现中文有问题就又装了
sudo apt-get install mule-ucs

现在除了不能用scim外,其余似乎一切正常。但是每次启动时会有如下警告

lgfang@my-desktop:~$ Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-Adobe-Courier-Bold-R-Normal--17-120-100-100-M-1 00-ISO8859-1,-Adobe-Courier-Bold-R-Normal--17-*-*-*-*-*-*-*,-*-*-Bold-R-Normal-- 17-*-*-*-*-*-*-*,-*-*-*-*-*-*-17-*-*-*-*-*-*-*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset


哪位知道是怎么回事么?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2006-09-01 9:20

看置顶,编译emacs23,没有中文问题。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
difancn
帖子: 73
注册时间: 2006-04-21 20:33
来自: 湖南
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 difancn » 2006-09-09 16:55

emacs 23现比较稳定,装它吧
lgfang
帖子: 16
注册时间: 2006-08-19 11:44
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 lgfang » 2006-09-23 23:38

谢谢两位。我的emacs22中文已经基本搞定了。
但是scim还不能用,看置顶帖也没解决。
有空试试emacs23吧。
回复

回到 “Vim和Emacs”